<?php
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\SMTP;

require '../vendor/autoload.php';

$mail = new PHPMailer();
$mail->isSMTP();
$mail->SMTPDebug = SMTP::DEBUG_OFF;

require_once($_SERVER['DOCUMENT_ROOT'].'/clases/Configuracion.Class.php');
$configuracion_obj  = new Configuracion(null);

$configuracion_inf  = $configuracion_obj->informacionConfiguracion( 21, null, 0); 
$mail->Host         = $configuracion_inf['conf_texto'];
$configuracion_inf  = $configuracion_obj->informacionConfiguracion( 22, null, 0); 
$mail->Port         = $configuracion_inf['conf_valor'];
$configuracion_inf  = $configuracion_obj->informacionConfiguracion( 23, null, 0); 

$mail->SMTPAuth = true;

$mail->Username     = $configuracion_inf['conf_texto'];
$configuracion_inf  = $configuracion_obj->informacionConfiguracion( 24, null, 0); 
$mail->Password     = $configuracion_inf['conf_texto'];
$configuracion_inf  = $configuracion_obj->informacionConfiguracion( 25, null, 0); 
$fromCorreo         = $configuracion_inf['conf_texto'];
$configuracion_inf  = $configuracion_obj->informacionConfiguracion( 26, null, 0); 
$fromDenominacion   = $configuracion_inf['conf_texto'];
$configuracion_inf  = $configuracion_obj->informacionConfiguracion( 101, null, 0); 
$correoURL          = $configuracion_inf['conf_texto'];

$configuracion_obj->Close();

$asunto = 'Rechazo a solicitud de confirmación de reserva';



$mail->setFrom($fromCorreo, $fromDenominacion);
$mail->addReplyTo($fromCorreo, $fromDenominacion);

$mail->addAddress('jordanramoscarlos@gmail.com', 'Carlos Jordán');
$mail->addAddress('arispe.jill@gmail.com', 'Jaqueline Arispe');
$mail->Subject = $asunto;
$mail->isHTML(true);

$correoTitulo = "Rechazo a solicitud de confirmación de reserva";
// require_once($_SERVER['DOCUMENT_ROOT'].'/clases/ClienteProveedor.Class.php');
// $persona_obj  	    = new ClienteProveedor(null);
//$persona_resultado  = $persona_obj->informacionPersona( 4,0, 0);
require_once($_SERVER['DOCUMENT_ROOT'].'/clases/Reserva.Class.php');
$reserva_obj  = new Reserva(null);
$reserva_inf = $reserva_obj->informacionReserva(2157, null, 0);

$correoRazonSocial = $reserva_inf['pers_razon_social'];
$correoCargaPara = $reserva_inf['carga_para'];
$correoFechaReserva = $reserva_inf['rese_fecha_formato'];
$correoHorario = $reserva_inf['res_bloq_inicio'].' - '.$reserva_inf['res_bloq_fin'];
$correoBodega = $reserva_inf['bodega_nombre'];
$correoPuerta = $reserva_inf['puer_descripcion'];
$reserva_obj->Close();
$correoMotivo = 'Error en la solicitud no detallo correctamente la información';
//$persona_obj->Close();

// Carga la plantilla HTML en una variable
$html = file_get_contents('http://local.sils.agendamiento/varios/correos/correoAdmRechazoReserva.html');
// $html = '<h1>Hola</h1>';

// Reemplaza los marcadores de posición en la plantilla HTML con los valores de los parámetros
$html = str_replace('{{ correoTitulo }}', $correoTitulo, $html);
$html = str_replace('{{ correoRazonSocial }}', $correoRazonSocial, $html);
$html = str_replace('{{ correoMotivo }}', $correoMotivo, $html);
$html = str_replace('{{ correoCargaPara }}', $correoCargaPara, $html);
$html = str_replace('{{ correoReservaFecha }}', $correoFechaReserva, $html);
$html = str_replace('{{ correoReservaHorario }}', $correoHorario, $html);
$html = str_replace('{{ correoReservaBodega }}', $correoBodega, $html);
$html = str_replace('{{ correoReservaPuerta }}', $correoPuerta, $html);

$mail->msgHTML($html, __DIR__);
// $mail->msgHTML('<h1>Hola</h1>');

// $mail->AltBody = 'This is a plain-text message body';

echo '<br>';
if (!$mail->send()) {
    echo 'Mailer Error: ' . $mail->ErrorInfo;
} else {
    echo 'Message sent!';
}

?>